Get hiring pipeline overview
Returns aggregate metrics across all your company's active job listings: total applications, pipeline breakdown, average time-to-hire, and more. Requires scope: `analytics:read`
Returns aggregate metrics across all your company's active job listings: total applications, pipeline breakdown, average time-to-hire, and more.
Requires scope: analytics:read
Authorization
ApiKeyAuth API key issued by Jobiflow. Pass it in the X-API-Key request header.
Create keys via the company dashboard (Settings → API Keys) or via POST /settings/api-keys.
In: header
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/public/v1/analytics/overview"{
"property1": null,
"property2": null
}{
"status": 401,
"error": "UNAUTHORIZED",
"message": "Invalid or missing API key",
"timestamp": "2026-05-17T12:00:00Z",
"path": "/public/v1/job-listings"
}{
"status": 403,
"error": "FORBIDDEN",
"message": "Scope 'jobs:write' is required",
"timestamp": "2026-05-17T12:00:00Z",
"path": "/public/v1/job-listings"
}Get analytics for a job listing GET
Returns view counts, application funnel data, and daily trend metrics for an individual job listing. Requires scope: `analytics:read`
Get analytics for a job listing GET
Returns view counts, application funnel data, and daily trend metrics for a specific job listing. Requires scope: `analytics:read`